From 33b1ae956497b2f4d320c1e26ce8e31fd4d52fc5 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 16 2020 20:11:56 +0000
Subject: [PATCH 1051/2232] Merge pull request 364 from adetaylor/make-cxx-h-available


---

diff --git a/gen/lib/src/lib.rs b/gen/lib/src/lib.rs
index dae7e78..ecfa436 100644
--- a/gen/lib/src/lib.rs
+++ b/gen/lib/src/lib.rs
@@ -20,6 +20,7 @@ mod gen;
 mod syntax;
 
 pub use crate::error::Error;
+pub use crate::gen::include::HEADER;
 pub use crate::gen::{GeneratedCode, Opt};
 use proc_macro2::TokenStream;
 
diff --git a/gen/src/include.rs b/gen/src/include.rs
index 1688a4e..3255902 100644
--- a/gen/src/include.rs
+++ b/gen/src/include.rs
@@ -1,6 +1,7 @@
 use crate::gen::out::OutFile;
 use std::fmt::{self, Display};
 
+/// The complete contents of the "rust/cxx.h" header.
 pub static HEADER: &str = include_str!("include/cxx.h");
 
 pub(super) fn write(out: &mut OutFile, needed: bool, guard: &str) {

